Bug 649917 - [abrt] grace-5.1.22-7.fc14: raise: Process /usr/bin/xmgrace was killed by signal 6 (SIGABRT)
[abrt] grace-5.1.22-7.fc14: raise: Process /usr/bin/xmgrace was killed by sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grace (Show other bugs)
14
i686 Unspecified
low Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
abrt_hash:f09462d0bea884252af7427be28...
:
: 649586 654927 657122 699060 753474 766585 766632 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-04 15:47 EDT by Jason Grunhut
Modified: 2012-08-16 17:55 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:55:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (11.83 KB, text/plain)
2010-11-04 15:47 EDT, Jason Grunhut
no flags Details
config.log (221.35 KB, text/x-log)
2010-12-11 10:51 EST, RudraB
no flags Details

  None (edit)
Description Jason Grunhut 2010-11-04 15:47:13 EDT
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: xmgrace
comment: Just tried to open grace using xmgrace command
component: grace
crash_function: raise
executable: /usr/bin/xmgrace
kernel: 2.6.35.6-48.fc14.i686
package: grace-5.1.22-7.fc14
rating: 4
reason: Process /usr/bin/xmgrace was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1288899587
uid: 500

How to reproduce
-----
1.run xmgrace (don't even need to open a file)
2.Crashes immediately
3.
Comment 1 Jason Grunhut 2010-11-04 15:47:15 EDT
Created attachment 457921 [details]
File: backtrace
Comment 2 José Matos 2010-11-10 11:31:19 EST
I am suspecting that this is related with
https://bugzilla.redhat.com/show_bug.cgi?id=649586

What both bug reports have in common is that both are using 32-bits archs, I do not have any problem running on x86_64
Comment 3 ian.cullen2308 2010-11-11 10:39:12 EST
Package: grace-5.1.22-7.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Type xmgrace into a terminal
2.
3.
Comment 4 zahour 2010-11-13 14:34:02 EST
Package: grace-5.1.22-7.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. After start application.
2.
3.
Comment 5 devang.khakhar 2010-11-14 12:01:03 EST
Package: grace-5.1.22-7.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Tried to execute xmgrace 
2.
3.


Comment
-----
xmgrace crashed without opening
Comment 6 devang.khakhar 2010-11-15 08:46:31 EST
Package: grace-5.1.22-7.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Tried to execute xmgrace 
2.
3.


Comment
-----
xmgrace crashed without opening
Comment 7 Aniel 2010-11-15 19:24:49 EST
Package: grace-5.1.22-7.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Opening xmgrace (the plooting tool)
2.
3.
Comment 8 José Matos 2010-11-19 03:16:34 EST
*** Bug 649586 has been marked as a duplicate of this bug. ***
Comment 9 José Matos 2010-11-19 03:17:23 EST
*** Bug 654927 has been marked as a duplicate of this bug. ***
Comment 10 José Matos 2010-11-19 09:38:07 EST
I am consolidating the bug reports on this bug.

So in short the problem only manifests itself on i686 as it works fine on x86_64. The reason why I did not saw this before...

I do not have an i686 machine at hand to test the code further and I would glad accept any help on this issue.
Comment 11 devang.khakhar 2010-11-20 10:18:57 EST
(In reply to comment #10)

> I do not have an i686 machine at hand to test the code further and I would glad
> accept any help on this issue.

I would be happy to try out any experiment you can suggest based on the back trace. I also tried to install from source and got many errors. I can send this if it helps.

Regards
Devang
Comment 12 christophe.drevet 2010-12-08 05:52:08 EST
I can help too.

I have a hard time compiling it from sources, so I would be glad to see this bug resolved.

Regards
Christophe
Comment 13 christophe.drevet 2010-12-08 08:33:40 EST
I didn't success in compiling it from sources but while I was in the source directory, I was able to run the packaged xmgrace binary without error.

It seems that xmgrace want to use ./fonts/type1

I will do further investigation.
Comment 14 christophe.drevet 2010-12-08 08:48:12 EST
All n*.afm and n*.pfb font files are different in the grace archive and on the Fedora system. I don't know if this has an impact.

Anyway, the workaround is to remove the link :
/usr/share/grace/fonts/type1 -> ../../fonts/default/Type1

and copy the directory provided in grace sources "fonts/type1"

Hope that helps to solve this bug.

Regards
Christophe
Comment 15 Jason Grunhut 2010-12-08 11:24:32 EST
I have very little experience with this. Can you please explain where the fonts/type1 directory is from the 'grace sources'? Is this provided from downloading the source files directly from the grace website? Is this already present with the default grace package? Or is this provided in the grace-development packages?

Any help would be appreciated. I use xmgrace quite frequently for my work.

Thanks,
Jason
Comment 16 christophe.drevet 2010-12-08 11:51:33 EST
The directory is in the tar archive from the grace website :

ftp://plasma-gate.weizmann.ac.il/pub/grace/src/grace-latest.tar.gz

The 'type1' directory is grace-xxxxx/fonts/type1 after extraction of the archive.

You can copy it on the system in /usr/share/grace/fonts/ or, if you don't want to mess with your system, you can copy the fonts directory somewhere in your home and execute xmgrace from this directory. Example :

$ tar xzvf grace-latest.tar.gz
$ mkdir grace-workaround
$ cp -r grace-5.*/fonts grace-workaround/
$ cd grace-workaround/
$ xmgrace

Regards,
Christophe
Comment 17 Jason Grunhut 2010-12-08 12:27:16 EST
Thanks Christophe.

I can confirm that this does work, with one small addition. I also had to copy the FontDataBase file from the source directory to replace the Fedora version as well. With these changes xmgrace is able to start-up without crashing (and shows correct fonts!).

Thanks again,
Jason
Comment 18 RudraB 2010-12-11 10:51:52 EST
Created attachment 468156 [details]
config.log
Comment 19 RudraB 2010-12-11 10:58:35 EST
sorry that i failed to send my log....i am both sending the gdb error message and error I am getting while compiling from source:

##################################################
Error in the packege
$ gdb xmgrace 
GNU gdb (GDB) Fedora (7.2-26.fc14)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/xmgrace...(no debugging symbols found)...done.
Missing separate debuginfos, use: debuginfo-install grace-5.1.22-7.fc14.i686
(gdb) run
Starting program: /usr/bin/xmgrace 
[Thread debugging using libthread_db enabled]
xmgrace: malloc.c:3096: sYSMALLOc: Assertion `(old_top == (((mbinptr) (((char *) &((av)->bins[((1) - 1) * 2])) - __builtin_offsetof (struct malloc_chunk, fd)))) && old_size == 0) || ((unsigned long) (old_size) >= (unsigned long)((((__builtin_offsetof (struct malloc_chunk, fd_nextsize))+((2 * (sizeof(size_t))) - 1)) & ~((2 * (sizeof(size_t))) - 1))) && ((old_top)->size & 0x1) && ((unsigned long)old_end & pagemask) == 0)' failed.

Program received signal SIGABRT, Aborted.
0x00110416 in __kernel_vsyscall ()
(gdb) 
######################################

Error in source:
Plz. check the attached log file. now while I compile, I get:

$make
make[1]: Entering directory `/home/rudra/Downloads/grace-5.1.22/cephes'
gcc -O2 -m486 -fno-common -Wall -Wpointer-arith -Wnested-externs -I.. -I.    -c -o airy.o airy.c
cc1: error: unrecognized command line option "-m486"
make[1]: *** [airy.o] Error 1
make[1]: Leaving directory `/home/rudra/Downloads/grace-5.1.22/cephes'
make: *** [subdirs] Error 1

If I delete the m486 option in Make.conf, I am getting:
gcc -O2  -fno-common -Wall -Wpointer-arith -Wnested-externs -I.. -I.    -c -o kn.o kn.c
gcc -O2  -fno-common -Wall -Wpointer-arith -Wnested-externs -I.. -I.    -c -o log2.o log2.c
log2.c: In function ‘log2’:
log2.c:334:1: warning: dereferencing type-punned pointer will break strict-aliasing rules
log2.c:335:1: warning: dereferencing type-punned pointer will break strict-aliasing rules
gcc -O2  -fno-common -Wall -Wpointer-arith -Wnested-externs -I.. -I.    -c -o mtherr.o mtherr.c
In file included from /usr/include/stdio.h:34:0,
                 from mtherr.c:60:
/usr/lib/gcc/i686-redhat-linux/4.5.1/include/stddef.h:211:23: error: duplicate ‘unsigned’
/usr/lib/gcc/i686-redhat-linux/4.5.1/include/stddef.h:211:23: error: two or more data types in declaration specifiers
make[1]: *** [mtherr.o] Error 1
make[1]: Leaving directory `/home/rudra/Downloads/grace-5.1.22/cephes'
make: *** [subdirs] Error 1
#######################################################

Plz help. With the little idea I have in C....and cant expect there is a error in stddef.
Comment 20 Patrick 2010-12-19 14:07:51 EST
I am experiencing the same problem.
It only work is the font are locate in ./fonts
How can it be fixed a better way ?

Thank
Comment 21 Zdenek Janecek 2011-04-25 12:49:35 EDT
*** Bug 699060 has been marked as a duplicate of this bug. ***
Comment 22 pip 2011-06-01 03:17:24 EDT
Package: grace-5.1.22-8.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
doesn't start at all
Comment 23 Erik Ylvisaker 2012-01-17 18:02:05 EST
I have this same problem again on Fedora 16.
The bug fix posted by christophe.drevet@cea.fr above seemed to work.
There seems to be a difference in the /usr/share/grace/fonts/FontDataBase and the files in /usr/share/grace/fonts/type1
This might be a packaging issue for the i686 grace package in the repository.
Comment 24 Jussi Eloranta 2012-01-22 00:52:48 EST
I also see this problem on F16. A really annoying problem that needs a fix ASAP.
Copying both the FontDataBase and the font1 directory to /usr/share/grace/fonts solves the problem. The Fedora version of the FontDataBase seems to have more fonts included than the standard grace distribution though. Of course, it is great to have the additional fonts but I would suggest to revert to using the original font database files until the problem gets fixed.
Comment 25 abrt-bot 2012-03-20 14:35:59 EDT
*** Bug 766585 has been marked as a duplicate of this bug. ***
Comment 26 abrt-bot 2012-03-20 14:36:08 EDT
*** Bug 766632 has been marked as a duplicate of this bug. ***
Comment 27 abrt-bot 2012-03-30 08:22:51 EDT
*** Bug 657122 has been marked as a duplicate of this bug. ***
Comment 28 abrt-bot 2012-03-30 08:23:10 EDT
*** Bug 753474 has been marked as a duplicate of this bug. ***
Comment 29 Michael Young 2012-03-30 12:05:55 EDT
As I posted in Bug 657122 (which is apparently the same problem) the real bug is in t1lib. There is a (fedora added) patch to prevent a copy overflow that sets the 900th character in a string to the null character without first checking that the string is at least 900 characters long, resulting in a SIGABRT due to writing beyond the end of a string. I posted a possible fix under that bug.
I believe the problem exists in all current Fedora versions.
Comment 30 Fedora End Of Life 2012-08-16 17:55:34 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.